LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
OfficeFrameLoader Service Reference

`import"OfficeFrameLoader.idl";`

Inheritance diagram for OfficeFrameLoader:

## Additional Inherited Members
Public Member Functions inherited from XSynchronousFrameLoader
boolean | load ([in] sequence< com::sun::star::beans::PropertyValue > Descriptor, [in] XFrame Frame)
| starts the loading of the specified resource into the specified Frame. More...
void | cancel ()
| cancels the loading process. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.2

The documentation for this service was generated from the following file:

- com/sun/star/frame/OfficeFrameLoader.idl